2020-01-28 22:39:57 +01:00
|
|
|
--- ./scripts/mysql_install_db.sh.orig 2020-01-28 11:31:09.088303502 -0600
|
|
|
|
+++ ./scripts/mysql_install_db.sh 2020-01-28 11:35:47.822283410 -0600
|
2019-08-01 23:26:28 +02:00
|
|
|
@@ -480,25 +480,26 @@
|
2019-07-05 22:08:13 +02:00
|
|
|
|
|
|
|
if test -n "$user"
|
|
|
|
then
|
2020-01-28 22:39:57 +01:00
|
|
|
- if test -z "$srcdir" -a "$in_rpm" -eq 0
|
2019-07-05 22:08:13 +02:00
|
|
|
- then
|
2019-08-01 23:26:28 +02:00
|
|
|
- chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
|
|
|
|
- chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
|
2019-07-05 22:08:13 +02:00
|
|
|
- if test $? -ne 0
|
|
|
|
- then
|
|
|
|
- echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
|
2020-01-28 22:39:57 +01:00
|
|
|
- echo "It must be root, the PAM authentication plugin doesn't work otherwise.."
|
|
|
|
- echo
|
|
|
|
- fi
|
|
|
|
- chown $user "$pamtooldir/auth_pam_tool_dir" && \
|
|
|
|
- chmod 0700 "$pamtooldir/auth_pam_tool_dir"
|
|
|
|
- if test $? -ne 0
|
|
|
|
- then
|
|
|
|
- echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
|
|
|
|
- echo "to the '$user' user. Check that you have the necessary permissions and try again."
|
2019-07-05 22:08:13 +02:00
|
|
|
- echo
|
|
|
|
- fi
|
|
|
|
- fi
|
|
|
|
+ # Commented out since Slackware does not currently provide PAM:
|
2020-01-28 22:39:57 +01:00
|
|
|
+ #if test -z "$srcdir" -a "$in_rpm" -eq 0
|
2019-07-05 22:08:13 +02:00
|
|
|
+ #then
|
2019-08-01 23:26:28 +02:00
|
|
|
+ # chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
|
|
|
|
+ # chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
|
2019-07-05 22:08:13 +02:00
|
|
|
+ # if test $? -ne 0
|
|
|
|
+ # then
|
|
|
|
+ # echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
|
2020-01-28 22:39:57 +01:00
|
|
|
+ # echo "It must be root, the PAM authentication plugin doesn't work otherwise.."
|
|
|
|
+ # echo
|
|
|
|
+ # fi
|
|
|
|
+ # chown $user "$pamtooldir/auth_pam_tool_dir" && \
|
|
|
|
+ # chmod 0700 "$pamtooldir/auth_pam_tool_dir"
|
|
|
|
+ # if test $? -ne 0
|
|
|
|
+ # then
|
|
|
|
+ # echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
|
|
|
|
+ # echo "to the '$user' user. Check that you have the necessary permissions and try again."
|
2019-07-05 22:08:13 +02:00
|
|
|
+ # echo
|
|
|
|
+ # fi
|
|
|
|
+ #fi
|
|
|
|
args="$args --user=$user"
|
|
|
|
fi
|
|
|
|
|